Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jbi.util
Class SchemaCollection

    java.lang.Object
      org.apache.ode.jbi.util.SchemaCollection

    public class SchemaCollection

extends java.lang.Object

Collection of schemas.

Constructor Summary
`SchemaCollection()`
`SchemaCollection(java.net.URI baseUri)`

Method Summary
`Schema` | `getSchema(java.lang.String namespaceURI)`
`java.util.Collection` | `getSchemas()`
`int` | `getSize()`
`protected void` | `handleImports(Schema schema)`
`void` | `read(org.w3c.dom.Element elem, java.net.URI sourceUri)`
`void` | `read(org.xml.sax.InputSource inputSource)`
`void` | `read(java.lang.String location, java.net.URI baseUri)`
`protected static java.net.URI` | `resolve(java.net.URI base, java.lang.String location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaCollection

    public SchemaCollection()

### SchemaCollection

    public SchemaCollection(java.net.URI baseUri)

Method Detail

### getSchema

    public Schema getSchema(java.lang.String namespaceURI)

### read

    public void read(org.w3c.dom.Element elem,
                     java.net.URI sourceUri)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### read

    public void read(java.lang.String location,
                     java.net.URI baseUri)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### read

    public void read(org.xml.sax.InputSource inputSource)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### handleImports

    protected void handleImports(Schema schema)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### resolve

    protected static java.net.URI resolve(java.net.URI base,
                                          java.lang.String location)

### getSize

    public int getSize()

### getSchemas

    public java.util.Collection getSchemas()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD